summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2014-04-09 17:50:25 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2014-04-09 17:50:25 +0200
commit6b7b0ce0a8017092d8f18c09223b502067634cf2 (patch)
tree180ffc2216d593b6070b504936680ac33568388e /scripts
parentc81c181e7afe707fef8a772334972cfe4d01f56c (diff)
fix minor issues
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/install-rpi.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/scripts/install-rpi.sh b/scripts/install-rpi.sh
index 56a1af8bd..0cf88cf4c 100755
--- a/scripts/install-rpi.sh
+++ b/scripts/install-rpi.sh
@@ -7,13 +7,14 @@ if [ $(id -u) -ne 0 ];then
exit 1
fi
+f=0
for tool in parted sfdisk mkfs.vfat mkfs.ext4;do
if ! which $tool >/dev/null; then
echo "Checking if $tool is installed... failed"
f=1
fi
done
-[[ $f -eq 1 ]] && exit 1
+if [ $f -eq 1 ];then exit 1;fi
datadir=0
keep=0
@@ -48,7 +49,7 @@ else
echo "WARNING: This will destroy all data on $1 - type Yes to continue!"
read y
if [ "$y" = "Yes" ];then
- $sfdisk -l $1 2>&1 |grep 'No medium'
+ env LC_ALL=C sfdisk -l $1 2>&1 |grep 'No medium'
if [ $? -eq 0 ];then
echo "No medium found"
exit 1